Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.themes
Class DefaultUITheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              threeD.ui.themes.DefaultUITheme

public class DefaultUITheme
extends javax.swing.plaf.metal.DefaultMetalTheme

Constructor Summary
`DefaultUITheme()`

Method Summary
`java.lang.String` | `getName()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary1()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary2()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary3()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary1()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary2()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary3()`

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getControlTextFont, getMenuTextFont, getSubTextFont, getSystemTextFont, getUserTextFont, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUITheme

    public DefaultUITheme()

Method Detail

### getName

    public java.lang.String getName()

### getPrimary1

    protected javax.swing.plaf.ColorUIResource getPrimary1()

### getPrimary2

    protected javax.swing.plaf.ColorUIResource getPrimary2()

### getPrimary3

    protected javax.swing.plaf.ColorUIResource getPrimary3()

### getSecondary1

    protected javax.swing.plaf.ColorUIResource getSecondary1()

### getSecondary2

    protected javax.swing.plaf.ColorUIResource getSecondary2()

### getSecondary3

    protected javax.swing.plaf.ColorUIResource getSecondary3()

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray